cURL
curl --request POST \
--url https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": "aSDinaTvuI8gbWludGxpZnk="
}
'import requests
url = "https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity"
payload = { "data": "aSDinaTvuI8gbWludGxpZnk=" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: 'aSDinaTvuI8gbWludGxpZnk='})
};
fetch('https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => 'aSDinaTvuI8gbWludGxpZnk='
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity"
payload := strings.NewReader("{\n \"data\": \"aSDinaTvuI8gbWludGxpZnk=\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": \"aSDinaTvuI8gbWludGxpZnk=\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": \"aSDinaTvuI8gbWludGxpZnk=\"\n}"
response = http.request(request)
puts response.read_bodyVERI*FACTU
Upload identity image
Upload an image of an identity document.
POST
/
apps
/
verifactu
/
v1
/
entry
/
{silo_entry_id}
/
identity
cURL
curl --request POST \
--url https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": "aSDinaTvuI8gbWludGxpZnk="
}
'import requests
url = "https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity"
payload = { "data": "aSDinaTvuI8gbWludGxpZnk=" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: 'aSDinaTvuI8gbWludGxpZnk='})
};
fetch('https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => 'aSDinaTvuI8gbWludGxpZnk='
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity"
payload := strings.NewReader("{\n \"data\": \"aSDinaTvuI8gbWludGxpZnk=\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": \"aSDinaTvuI8gbWludGxpZnk=\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/verifactu/v1/entry/{silo_entry_id}/identity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": \"aSDinaTvuI8gbWludGxpZnk=\"\n}"
response = http.request(request)
puts response.read_bodyUpload a photograph of the supplier or representative’s identification card or document. Be sure to choose the correct view when uploading. Uploaded images will be stored as attachments to the silo entry.
Authorizations
Body
application/json
Response
202
No content
Was this page helpful?